#ifndef _hof_h_
#define _hof_h_
/*
 * Datei: hof.h
 * Autor: Holger Klawitter
 * Datum: 7.3.1999
 *
 * nderungen:
 * 04.08.2000 cheat und clean
 */

#include "hofDB.h"

/**********************************************************************
 * Global variables and constants
 **********************************************************************/

extern Hof currentHof;
/* currently active high score table.
 */

extern Boolean dontScore;
/* Set this to true if entering HOF just to look at it.
 */

/**********************************************************************
 * Functions
 **********************************************************************/

void HOFOpen(Boolean chater,Boolean clean,Long newScore,Word newSeed);
/* Displays the Hall of Fame.
 * Does not open the according form!
 * If the new score enters into the HOF, the according Name field
 * will be a usable field.
 */

void HOFClear();
/* Puts empty names and score into the HOF.
 * Score will be computed from the settings in currentHof.
 */

void HOFClose();
/* Transfers the name of the new entry (if existant into the table).
 */

#endif
